<%@ page language="C#" masterpagefile="~/Common/Panel2a.master" autoeventwireup="true" inherits="Sr_Page, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
            <td class="pathCell">
                <asp:HyperLink id="hpl1" runat="server"
                    NavigateUrl="SrPage.aspx" CssClass="pathLink"
                    Text="<%$ Resources:sr, Service_Requests %>" />
                &gt;
                <asp:Label ID="pageNameLabel" runat="server"></asp:Label>
                <asp:LinkButton ID="editQueryLink" runat="server" CssClass="pathLink"
                    OnClick="editQueryClick" 
                    Text="<%$ Resources:sr, _Edit_ %>"></asp:LinkButton>
            </td>
            <td class="pathCell" align="right">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:sr, Request_ID %>" />:
                <input type="text" id="srIDText" runat="server" size="8" maxlength="10">
                <input type="submit" value="Go" id="goButton" runat="server" 
                    onserverclick="goButton_ServerClick">
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table width="100%" border="0" cellspacing="0" cellpadding="2">
        <tr id="recvCallTr" runat="server">
            <td class="leftCell">
                <asp:HyperLink id="hl2" runat="server" CssClass="leftLink" 
                    Target="_blank"
                    Text="<%$ Resources:sr, Receive_Phone_Call %>"
                    NavigateUrl="../Call/RecvStartPage.aspx" />
            </td>
        </tr>
        <tr>
            <td class="leftCell">
                <asp:HyperLink id="HyperLink4" runat="server" CssClass="leftLink" 
                    Text="<%$ Resources:sr, Submit_Service_Request %>"
                    NavigateUrl="SrAddPage.aspx" />
            </td>
        </tr>
        <tr>
            <td class="leftCell">
                <asp:HyperLink id="HyperLink5" runat="server" CssClass="leftLink" 
                    Text="<%$ Resources:sr, Find_Service_Requests %>"
                    NavigateUrl="SrQueryPage.aspx" />
            </td>
        </tr>
        <tr>
            <td class="leftCellNoB">
                <asp:TreeView ID="queryTree" runat="server" 
                    OnSelectedNodeChanged="queryTree_SelectedNodeChanged" 
                    ImageSet="Msdn" NodeIndent="16" 
                    EnableClientScript="true"
                    NodeWrap="True">
                    <ParentNodeStyle Font-Bold="False" />
                    <HoverNodeStyle Font-Underline="True" />
                    <SelectedNodeStyle BackColor="WhiteSmoke" 
                        BorderColor="Black" BorderStyle="Solid" BorderWidth="1px"
                        Font-Underline="False" HorizontalPadding="3px" 
                        VerticalPadding="1px" />
                    <NodeStyle 
                        HorizontalPadding="4px" NodeSpacing="1px" 
                        VerticalPadding="2px" />
                </asp:TreeView>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder3" Runat="Server">
    <table width="100%" cellpadding="2" cellspacing="0" border="0">
        <tr>
            <td class="formError">
                <asp:label id="errMsgLabel" runat="server"></asp:label>
            </td>
        </tr>
    </table>
    <asp:GridView ID="queryGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15"
        AutoGenerateColumns="False"
        AllowPaging="True" OnPageIndexChanging="queryGrid_PageIndexChanging"
        AllowSorting="True" OnSorting="queryGrid_Sorting" >
        <HeaderStyle HorizontalAlign="Left"/>
        <Columns>
            <asp:BoundField 
                DataField="rq_name" 
                HeaderText="<%$ Resources:sr, Query_Name %>" 
                SortExpression="rq_name">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="rq_description" 
                HeaderText="<%$ Resources:sr, Description %>" 
                SortExpression="rq_description">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="HyperLink1" runat="server" 
                        NavigateUrl='<%# Eval("rq_id", "SrPage.aspx?rqID={0}") %>'
                        Text='<%$ Resources:sr, Run %>'></asp:HyperLink>
                    |
                    <asp:HyperLink ID="HyperLink2" runat="server" 
                        NavigateUrl='<%# Eval("rq_id", "SrQueryPage.aspx?rqID={0}") %>'
                        Text='<%$ Resources:sr, Edit %>'></asp:HyperLink>
                    |
                    <asp:HyperLink ID="HyperLink3" runat="server" 
                        NavigateUrl='<%# Eval("rq_id", "SrQueryDelPage.aspx?rqID={0}") %>'
                        Text='<%$ Resources:sr, Delete %>'></asp:HyperLink>
                </ItemTemplate>
                <ItemStyle CssClass="listData" Width="10%" Wrap="false" />
            </asp:TemplateField> 
        </Columns>
    </asp:GridView>
    <asp:HiddenField ID="sortDirectionHidden" runat="server" />
    <asp:HiddenField ID="sortExpressionHidden" runat="server" />

    <asp:GridView ID="srGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15"
        AutoGenerateColumns="False"
        AllowPaging="True" OnPageIndexChanging="srGrid_PageIndexChanging"
        AllowSorting="false" EmptyDataText="No service request found">
        <HeaderStyle HorizontalAlign="Left" />
    </asp:GridView>
</asp:Content>

