<%@ page language="C#" masterpagefile="~/Common/Panel2b.master" autoeventwireup="true" inherits="Service_Page, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <asp:HyperLink id="hpl1" runat="server"
                    NavigateUrl="ServicePage.aspx" CssClass="pathLink"
                    Text="<%$ Resources:service, Services %>" />
            </td>
            <td id="searchTd" runat="server" class="pathCell" align="right">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:service, Search %>" />
                 
                <asp:DropDownList ID="targetList" runat="server">
                    <asp:ListItem Text="<%$ Resources:service, Articles %>" Value="1"></asp:ListItem>
                    <asp:ListItem Text="<%$ Resources:service, Services %>" Value="2"></asp:ListItem>
                </asp:DropDownList>

                <asp:Localize id="Localize2" runat="server" 
                    Text="<%$ Resources:service, SearchFor %>" />
                
                <asp:TextBox ID="KeywordText" runat="server" Columns="18" />
                <asp:Button ID="SearchButton" runat="server" 
                    Text="<%$ Resources:service, Go %>" 
                    OnClick="SearchButton_Click" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
            <td valign="top" class="leftCellNoB">
                <asp:TreeView ID="serviceTree" runat="server" 
                    OnSelectedNodeChanged="serviceTree_SelectedNodeChanged" 
                    OnTreeNodePopulate="serviceTree_TreeNodePopulate"
                    ImageSet="Msdn" NodeIndent="16" 
                    EnableClientScript="true"
                    PopulateNodesFromClient="true"  
                    NodeWrap="True">
                    <ParentNodeStyle Font-Bold="False" />
                    <HoverNodeStyle Font-Underline="True" />
                    <SelectedNodeStyle BackColor="WhiteSmoke" 
                        BorderColor="Black" BorderStyle="Solid" BorderWidth="1px"
                        Font-Underline="False" HorizontalPadding="3px" 
                        VerticalPadding="1px" />
                    <NodeStyle 
                        HorizontalPadding="4px" NodeSpacing="1px" 
                        VerticalPadding="2px" />
                </asp:TreeView>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder3" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="listDataNoB">
                <asp:Label ID="errMsgLabel" runat="server" ForeColor="Red"></asp:Label>
            </td>
        </tr>
    </table>
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="viewTitle">
                <asp:Label ID="serviceNameLabel" runat="server"></asp:Label>
            </td>
            <td id="commandsTd" runat="server" class="viewTitle" align="right">
                <asp:HyperLink id="editLink" runat="server"
                    Text="<%$ Resources:service, Edit %>" /> 
                | 
                <asp:HyperLink id="moveLink" runat="server"
                    Text="<%$ Resources:service, Move %>" />
                <asp:Label ID="barAfterMove" runat="server">|</asp:Label>
                <asp:HyperLink id="delLink" runat="server"
                    Text="<%$ Resources:service, Delete %>" />
                <asp:Label ID="barAfterDel" runat="server">|</asp:Label>
                <asp:HyperLink id="addServiceLink" runat="server"
                    Text="<%$ Resources:service, Add_Sub_Service %>" />
                <asp:Label ID="barAfterAddSrv" runat="server">|</asp:Label>
                <asp:HyperLink id="addWizardLink" runat="server"
                    Text="<%$ Resources:service, Add_QA_Wizard %>" />
                |
                <asp:HyperLink id="addArticleLink" runat="server"
                    Text="<%$ Resources:service, Add_Article %>" />
            </td>
        </tr>
    </table>
    <table cellSpacing="0" cellPadding="0" width="100%" border="0" id="infoTable" runat="server">
        <tr>
            <td class="viewLabel" width="25%">
                <asp:Localize id="Localize3" runat="server" 
                    Text="<%$ Resources:service, Service_ID %>" />
            </td>
            <td class="viewLabel" width="25%">
                <asp:Localize id="Localize4" runat="server" 
                    Text="<%$ Resources:service, Product_Related %>" />
            </td>
            <td class="viewLabel" width="25%">
                <asp:Localize id="Localize5" runat="server" 
                    Text="<%$ Resources:service, Order_Related %>" />
            </td>
            <td class="viewLabelNoR" width="25%">
                <asp:Localize id="Localize6" runat="server" 
                    Text="<%$ Resources:service, Keywords %>" />
            </td>
        </tr>
        <tr>
            <td class="viewData" valign="top">
                <asp:Label ID="serviceIDLabel" runat="server"></asp:Label>
                (<asp:Label ID="statusLabel" runat="server"></asp:Label>)
            </td>
            <td class="viewData" valign="top">
                <asp:Label ID="productRelLabel" runat="server"></asp:Label>&nbsp;
            </td>
            <td class="viewData" valign="top">
                <asp:Label ID="orderRelLabel" runat="server"></asp:Label>&nbsp;
            </td>
            <td class="viewDataNoR" valign="top">
                <asp:Label ID="keywordsLabel" runat="server"></asp:Label>&nbsp;
            </td>
        </tr>
        <tr>
            <td class="viewLabel">
                <asp:Localize id="Localize7" runat="server" 
                    Text="<%$ Resources:service, User_Group %>" />
            </td>
            <td class="viewLabel">
                <asp:Localize id="Localize8" runat="server" 
                    Text="<%$ Resources:service, Tier_1_Technicians %>" />
            </td>
            <td class="viewLabel">
                <asp:Localize id="Localize9" runat="server" 
                    Text="<%$ Resources:service, Tier_2_Technicians %>" />
            </td>
            <td class="viewLabelNoR">
                <asp:Localize id="Localize10" runat="server" 
                    Text="<%$ Resources:service, Administrator_Group %>" />
            </td>
        </tr>
        <tr>
            <td class="viewData" valign="top">
                <asp:Literal ID="userGroupLiteral" runat="server"></asp:Literal>&nbsp;
            </td>
            <td class="viewData" valign="top">
                <asp:Literal ID="tech1GroupLiteral" runat="server"></asp:Literal>&nbsp;
            </td>
            <td class="viewData" valign="top">
                <asp:Literal ID="tech2GroupLiteral" runat="server"></asp:Literal>&nbsp;
            </td>
            <td class="viewDataNoR" valign="top">
                <asp:Literal ID="adminGroupLiteral" runat="server"></asp:Literal>&nbsp;
            </td>
        </tr>
    </table>
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="viewLabelNoR" colspan="4">
                <asp:Localize id="Localize11" runat="server" 
                    Text="<%$ Resources:service, Description %>" />
            </td>
        </tr>
        <tr>
            <td class="viewDataNoR" colspan="4">
                <asp:Label ID="serviceDescLabel" runat="server"></asp:Label>&nbsp;
            </td>
        </tr>
    </table>
    
    <table id="wizTable" runat="server" cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="viewLabelNoR">
                <asp:Localize id="Localize12" runat="server" 
                    Text="<%$ Resources:service, QA_Wizards %>" />
            </td>
        </tr>
        <tr>
            <td class="viewDataNoR">
                <asp:Literal ID="wizLinksLiteral" runat="server"></asp:Literal>&nbsp;
            </td>
        </tr>
    </table>
    
    <table id="articleHeader" runat="server" cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr><td>&nbsp;</td></tr>
        <tr>
            <td class="listTitle2">
                <asp:Localize id="Localize13" runat="server" 
                    Text="<%$ Resources:service, Articles %>" />
            </td>
        </tr>
    </table>
    <asp:GridView ID="articleGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" 
        AllowSorting="True" OnSorting="articleGrid_Sorting" >
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:HyperLinkField 
                DataNavigateUrlFields="art_id,ownerType,ownerID" 
                DataNavigateUrlFormatString=
                    "../Article/ArtDetailPage.aspx?artID={0}&ownerType={1}&ownerID={2}"
                DataTextField="art_id" 
                HeaderText="<%$ Resources:service, Article_ID %>" 
                SortExpression="art_id"
                ItemStyle-Width="10%">
                <ItemStyle CssClass="listData" />
            </asp:HyperLinkField>
            <asp:BoundField 
                DataField="art_title" 
                HeaderText="<%$ Resources:service, Title %>" 
                SortExpression="art_title">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="art_views" 
                HeaderText="<%$ Resources:service, Views %>" 
                SortExpression="art_views">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="art_up_votes" 
                HeaderText="<%$ Resources:service, Up_Votes %>" 
                SortExpression="art_up_votes">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="art_total_votes" 
                HeaderText="<%$ Resources:service, Total_Votes %>" 
                SortExpression="art_total_votes">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
        </Columns>
    </asp:GridView>
    <asp:HiddenField ID="artSortDirHidden" runat="server" />
    <asp:HiddenField ID="artSortExprHidden" runat="server" />

    <table id="statHeader" runat="server" cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr><td>&nbsp;</td></tr>
        <tr>
            <td class="listTitle2">
                <asp:Localize id="Localize14" runat="server" 
                    Text="<%$ Resources:service, Request_Statuses %>" />
                <asp:Label ID="inheriteStatLabel" runat="server"></asp:Label>
            </td>
            <td class="listTitle2" align="right">
                <asp:HyperLink id="addStatusLink" runat="server" 
                    Text="<%$ Resources:service, Add_Status %>" />
            </td>
        </tr>
    </table>
    <asp:GridView ID="statGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" AllowPaging="False" AllowSorting="False">
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:BoundField DataField="rs_id" 
                HeaderText="<%$ Resources:service, Status_ID %>" >
                <ItemStyle CssClass="listData" Width="10%" />
            </asp:BoundField>
            <asp:BoundField DataField="rs_name" 
                HeaderText="<%$ Resources:service, Name %>"
                ItemStyle-Width="10%">
                <ItemStyle CssClass="listData" Width="20%" />
            </asp:BoundField>
            <asp:BoundField DataField="rs_sequence" 
                HeaderText="<%$ Resources:service, Sequence %>">
                <ItemStyle CssClass="listData" Width="10%" />
            </asp:BoundField>
            <asp:BoundField DataField="rs_description" 
                HeaderText="<%$ Resources:service, Description %>">
                <ItemStyle CssClass="listData" Width="50%" />
            </asp:BoundField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="HyperLink1" runat="server" 
                        NavigateUrl='<%# Eval("rs_id", "StatusEditPage.aspx?rsID={0}") %>'
                        Text='<%$ Resources:service, Edit %>'></asp:HyperLink>
                </ItemTemplate>
                <ItemStyle CssClass="listData" Width="5%" />
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="HyperLink2" runat="server" 
                        NavigateUrl='<%# Eval("rs_id", "StatusDelPage.aspx?rsID={0}") %>'
                        Text='<%$ Resources:service, Delete %>'></asp:HyperLink>
                </ItemTemplate>
                <ItemStyle CssClass="listData" Width="5%" />
            </asp:TemplateField>
        </Columns>
    </asp:GridView>

    <table id="prioHeader" runat="server" cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr><td>&nbsp;</td></tr>
        <tr>
            <td class="listTitle2">
                <asp:Localize id="Localize15" runat="server" 
                    Text="<%$ Resources:service, Request_Priorities %>" />
                <asp:Label ID="inheritePriorityLabel" runat="server"></asp:Label>
            </td>
            <td class="listTitle2" align="right">
                <asp:HyperLink id="addPriorityLink" runat="server" 
                    Text="<%$ Resources:service, Add_Priority %>" />
            </td>
        </tr>
    </table>
    <asp:GridView ID="prioGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" AllowPaging="False" AllowSorting="False">
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:BoundField DataField="rp_id" 
                HeaderText="<%$ Resources:service, Priority_ID %>">
                <ItemStyle CssClass="listData" Width="10%" />
            </asp:BoundField>
            <asp:BoundField DataField="rp_name" 
                HeaderText="<%$ Resources:service, Name %>">
                <ItemStyle CssClass="listData" Width="20%" />
            </asp:BoundField>
            <asp:BoundField DataField="rp_default" 
                HeaderText="<%$ Resources:service, Is_Default %>">
                <ItemStyle CssClass="listData" Width="10%" />
            </asp:BoundField>
            <asp:BoundField DataField="rp_description" 
                HeaderText="<%$ Resources:service, Description %>">
                <ItemStyle CssClass="listData" Width="50%" />
            </asp:BoundField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="HyperLink1" runat="server" 
                        NavigateUrl='<%# Eval("rp_id", "PriorityEditPage.aspx?rpID={0}") %>'
                        Text='<%$ Resources:service, Edit %>'></asp:HyperLink>
                </ItemTemplate>
                <ItemStyle CssClass="listData" Width="5%" />
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="HyperLink2" runat="server" 
                        NavigateUrl='<%# Eval("rp_id", "PriorityDelPage.aspx?rpID={0}") %>'
                        Text='<%$ Resources:service, Delete %>'></asp:HyperLink>
                </ItemTemplate>
                <ItemStyle CssClass="listData" Width="5%" />
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
    
</asp:Content>
