<%@ page language="C#" masterpagefile="~/Common/Panel1.master" autoeventwireup="true" inherits="Sr_EditPage, nServiceDeploy" title="Untitled Page" validaterequest="false" %>
<%@ Register TagPrefix="ns3" TagName="dtPicker" Src="~/Calendar/DateTimePickerCtrl.ascx" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell" valign="top">
                <asp:HyperLink id="hpl1" runat="server"
                    NavigateUrl="SrPage.aspx" CssClass="pathLink"
                    Text="<%$ Resources:sr, Service_Requests %>" />
                &gt;
                <asp:HyperLink id="srDetailLink" runat="server" CssClass="pathLink" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table width="60%" align="center" border="0" cellspacing="4" cellpadding="0">
        <tr>
            <td class="formTitle">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:sr, Edit_Service_Request %>" />
            </td>
        </tr>
        <tr>
            <td class="formCommand">
                <asp:Localize id="Localize2" runat="server" 
                    Text="<%$ Resources:sr, EditHint %>" />
            </td>
        </tr>
        <tr>
            <td class="formError">
                <asp:label id="errMsgLabel" runat="server"></asp:label>
                <asp:HiddenField ID="selectedSubmitter" runat="server" />
                <asp:HiddenField ID="selectedServiceID" runat="server" />
                <asp:HiddenField ID="selectedProductID" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Wizard ID="Wizard1" runat="server" ActiveStepIndex="0" 
                    DisplaySideBar="False" Width="100%" NavigationStyle-CssClass="formCommand" 
                    OnNextButtonClick="NextButton_Click" 
                    OnFinishButtonClick="FinishButton_Click">
                    <WizardSteps>
                        <asp:WizardStep ID="WizardStep1" runat="server" Title="Step 1" StepType="Start">
                            <table width="100%" align="center" border="0" cellspacing="4" cellpadding="0">
                                <tr>
                                    <td>
                                        <asp:Localize id="Localize3" runat="server" 
                                            Text="<%$ Resources:sr, SelectService %>" />: <br />
                                        <asp:TreeView ID="srvTree" runat="server" 
                                            OnTreeNodePopulate="srvTree_TreeNodePopulate"
                                            ImageSet="Msdn" NodeIndent="16"  
                                            NodeWrap="True">
                                            <ParentNodeStyle Font-Bold="False" />
                                            <HoverNodeStyle Font-Underline="True" />
                                            <SelectedNodeStyle BackColor="WhiteSmoke" 
                                                BorderColor="Black" BorderStyle="Solid" BorderWidth="1px"
                                                Font-Underline="False" HorizontalPadding="3px" 
                                                VerticalPadding="1px" />
                                            <NodeStyle 
                                                HorizontalPadding="4px" NodeSpacing="1px" 
                                                VerticalPadding="2px" />
                                        </asp:TreeView>
                                    </td>
                                </tr>
                            </table>
                        </asp:WizardStep>
                        <asp:WizardStep ID="WizardStep2" runat="server" Title="Step 1" StepType="Step">
                            <table width="100%" align="center" border="0" cellspacing="4" cellpadding="0">
                                <tr>
                                    <td>
                                        <asp:Localize id="Localize4" runat="server" 
                                            Text="<%$ Resources:sr, SelectAsset %>" />: 
                                        <asp:DropDownList ID="assetDdl" runat="server"></asp:DropDownList>
                                    </td>
                                </tr>
                                <tr><td>&nbsp;</td></tr>
                                <tr>
                                    <td>
                                        <asp:Localize id="Localize5" runat="server" 
                                            Text="<%$ Resources:sr, SelectProduct %>" />: <br />
                                        <asp:TreeView ID="pdTree" runat="server" 
                                            OnTreeNodePopulate="pdTree_TreeNodePopulate"
                                            ImageSet="Msdn" NodeIndent="16"  
                                            NodeWrap="True">
                                            <ParentNodeStyle Font-Bold="False" />
                                            <HoverNodeStyle Font-Underline="True" />
                                            <SelectedNodeStyle BackColor="WhiteSmoke" 
                                                BorderColor="Black" BorderStyle="Solid" BorderWidth="1px"
                                                Font-Underline="False" HorizontalPadding="3px" 
                                                VerticalPadding="1px" />
                                            <NodeStyle 
                                                HorizontalPadding="4px" NodeSpacing="1px" 
                                                VerticalPadding="2px" />
                                        </asp:TreeView>
                                        <br />
                                        <asp:Localize id="Localize6" runat="server" 
                                            Text="<%$ Resources:sr, Serial_Number %>" />: 
                                        <asp:TextBox ID="serialNumTxt" runat="server" 
                                            Columns="20" MaxLength="20"></asp:TextBox>
                                    </td>
                                </tr>
                            </table>
                        </asp:WizardStep>
                        <asp:WizardStep ID="WizardStep3" runat="server" Title="Step 2" StepType="Finish">
                            <table width="100%" align="center" border="0" cellspacing="4" cellpadding="0">
                                <tr>
                                    <td colspan="2" class="formError">
                                        <asp:ValidationSummary ID="ValidationSummary1" runat="server" 
                                            DisplayMode="SingleParagraph" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Localize id="Localize7" runat="server" 
                                            Text="<%$ Resources:sr, Subject %>" />:
                                    </td>
                                    <td>
                                        <asp:TextBox ID="subjectText" runat="server" Columns="60"
                                            MaxLength="100"></asp:TextBox>            
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Localize id="Localize8" runat="server" 
                                            Text="<%$ Resources:sr, Status %>" />:
                                    </td>
                                    <td>
                                        <asp:DropDownList ID="statusList" runat="server">
                                        </asp:DropDownList>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Localize id="Localize9" runat="server" 
                                            Text="<%$ Resources:sr, Priority %>" />:
                                    </td>
                                    <td>
                                        <asp:DropDownList ID="priorityList" runat="server">
                                        </asp:DropDownList>
                                    </td>
                                </tr>
                                <tr>
                                    <td nowrap="nowrap">
                                        <asp:Localize id="Localize10" runat="server" 
                                            Text="<%$ Resources:sr, Cc_Responses %>" />:
                                    </td>
                                    <td nowrap="nowrap">
                                        <asp:TextBox ID="submitterCcTxt" runat="server" Columns="60"
                                            MaxLength="200"></asp:TextBox>
                                        <asp:RegularExpressionValidator id="email1" runat="server"
                                            SetFocusOnError="true" ControlToValidate="submitterCcTxt"
                                            ValidationExpression=".*@.*\..*"
                                            ErrorMessage="<small>Invalid email addresses.</small>"
                                            Display="Dynamic">*</asp:RegularExpressionValidator>
                                        <asp:Localize id="Localize11" runat="server" 
                                            Text="<%$ Resources:sr, CcResponsesHint %>" />
                                    </td>
                                </tr>
                                <tr id="orderNumTr" runat="server">
                                    <td nowrap="nowrap">
                                        <asp:Localize id="Localize12" runat="server" 
                                            Text="<%$ Resources:sr, Order_Number %>" />:
                                    </td>
                                    <td>
                                        <asp:TextBox ID="orderNumTxt" runat="server" Columns="20"
                                            MaxLength="30"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td nowrap="nowrap">
                                        <asp:Localize id="Localize13" runat="server" 
                                            Text="<%$ Resources:sr, Due_Date %>" />: 
                                    </td>
                                    <td nowrap="nowrap">
                                        <ns3:dtPicker ID="dueOnPicker" runat="server" dateOnly="true" canBeBlank="true" />
                                    </td>
                                </tr>  
                                <tr>
                                    <td colspan="2">
                                        <asp:Localize id="Localize14" runat="server" 
                                            Text="<%$ Resources:sr, New_Note %>" />: <br />
                                        <asp:TextBox ID="detailText" runat="server" Columns="80" Rows="15" 
                                            TextMode="MultiLine"></asp:TextBox>            
                                    </td>
                                </tr>
                            </table>            
                        </asp:WizardStep>
                    </WizardSteps>
                    <NavigationStyle CssClass="formCommand" />
                </asp:Wizard>
            </td>
        </tr>
    </table>
</asp:Content>
